summaryrefslogtreecommitdiff
path: root/dev-python/sendgrid
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
commitdda948891d3731927b821ce31f9d9a2d03ba20c5 (patch)
tree99cd40be4cbb0606260da212cd81b8ab2db9da9b /dev-python/sendgrid
parenta3ceca1b4c0d9bdb550dc23f06ffbb5a8e033bc7 (diff)
downloadbaldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.gz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.xz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.zip
Adding metadata
Diffstat (limited to 'dev-python/sendgrid')
-rw-r--r--dev-python/sendgrid/Manifest1
-rw-r--r--dev-python/sendgrid/metadata.xml9
-rw-r--r--dev-python/sendgrid/sendgrid-6.11.0.ebuild46
3 files changed, 56 insertions, 0 deletions
diff --git a/dev-python/sendgrid/Manifest b/dev-python/sendgrid/Manifest
new file mode 100644
index 000000000000..4baecccc41ce
--- /dev/null
+++ b/dev-python/sendgrid/Manifest
@@ -0,0 +1 @@
+DIST sendgrid-6.11.0.gh.tar.gz 296224 BLAKE2B 39d9d6d8aaf1794807ca76680b397f41999b6772950fffb10df2fa22b23e1706ea21cdad891177c4d393af19854e4c6b4762ed77550b35f771a9777106d2492f SHA512 b1c26642918209498714eb27d462d2cf6aa80a174e570e1b3d3e0460bcb8038ff16a14a2f160ec24ab3a3871b4acd0b162bdd4b29120746e21967e8932ba54ff
diff --git a/dev-python/sendgrid/metadata.xml b/dev-python/sendgrid/metadata.xml
new file mode 100644
index 000000000000..4d4ddcc762ad
--- /dev/null
+++ b/dev-python/sendgrid/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>stepan_kk@pm.me</email>
+ <name>Stepan Kulikov</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/sendgrid/sendgrid-6.11.0.ebuild b/dev-python/sendgrid/sendgrid-6.11.0.ebuild
new file mode 100644
index 000000000000..13037527f445
--- /dev/null
+++ b/dev-python/sendgrid/sendgrid-6.11.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+DESCRIPTION="Twilio SendGrid library for Python"
+HOMEPAGE="https://github.com/sendgrid/sendgrid-python/ https://pypi.org/project/sendgrid/"
+SRC_URI="https://github.com/sendgrid/sendgrid-python/archive/refs/tags/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN}-python-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DOCS="README.rst"
+
+RDEPEND="
+ >=dev-python/flask-1.1.2[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-5.0.0[${PYTHON_USEDEP}]
+ >=dev-python/python-http-client-3.3.5[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-4.2[${PYTHON_USEDEP}]
+ >=dev-python/six-1.11.0[${PYTHON_USEDEP}]
+ >=dev-python/starkbank-ecdsa-2.2.0[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+"
+
+EPYTEST_IGNORE=(
+ # requires internet access
+ live_test.py
+)
+EPYTEST_DESELECT=(
+ # requires internet access
+ test/integ/test_sendgrid.py
+)
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i 's/"test"/"test", "test.*"/' setup.py || die
+ distutils-r1_src_prepare
+}